Last modified: 2014-09-11 18:34:37 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16020 - Race condition in User::addToDatabase on automatic user creation
Race condition in User::addToDatabase on automatic user creation
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
: 16196 17173 18982 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 09:11 UTC by Nicolas Dumazet
Modified: 2014-09-11 18:34 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nicolas Dumazet 2008-10-18 09:11:19 UTC
Until today, I never visited de.wikt with my SUL account.

I opened simultaneously two tabs with two de.wikt pages:
* The first one loaded successfully, creating automatically my account there.
* The second one spat out a SQL error : ''„User::addToDatabase“. MySQL meldete den Fehler „1062: Duplicate entry 'NicDumZ' for key 2 (10.0.0.234)“.''

Is there is a way to catch nicely this error, to display a nice message, instead of that user-obscure error ? :)
Comment 1 Chad H. 2010-01-26 20:29:33 UTC
*** Bug 16196 has been marked as a duplicate of this bug. ***
Comment 2 Chad H. 2010-01-26 20:29:40 UTC
*** Bug 17173 has been marked as a duplicate of this bug. ***
Comment 3 Tim Starling 2012-10-09 04:59:11 UTC
Fix proposed: I1f6ef5e6319bfe692fb82a3fa50dc66c9fde8f15
Comment 4 db [inactive,noenotif] 2012-11-24 21:40:30 UTC
(In reply to comment #3)
> Fix proposed: I1f6ef5e6319bfe692fb82a3fa50dc66c9fde8f15

Status Merged
Comment 5 Kunal Mehta (Legoktm) 2014-09-11 18:34:37 UTC
*** Bug 18982 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links